Subject: Re: bug#21862: Acknowledgement (24.5; Commit 35cd5181450 breaks nsterm.m on Mac OS X 10.6)

From: David Caldwell <[email-masked]>
Date: Tue, 10 Nov 2015 14:12:36 -0800

On 11/10/15 1:39 PM, Anders Lindgren wrote:
> Hi,
> 
> Unfortunately, when I compile on my 10.6.8 machine I get the following
> warnings:
> 
> nsterm.m: In function ‘-[EmacsView windowWillEnterFullScreen:]’:
> nsterm.m:6875: warning: ‘EmacsView’ may not respond to
> ‘-windowWillEnterFullScreen’
> nsterm.m:6875: warning: (Messages without a matching method signature
> nsterm.m:6875: warning: will be assumed to return ‘id’ and accept
> nsterm.m:6875: warning: ‘...’ as arguments.)
> nsterm.m: In function ‘-[EmacsView windowDidEnterFullScreen]’:
> nsterm.m:6887: warning: passing argument 1 of
> ‘notificationWithName:object:’ from incompatible pointer type
> nsterm.m:6887: warning: ‘EmacsView’ may not respond to
> ‘-windowDidEnterFullScreen:’
> nsterm.m: In function ‘-[EmacsView windowWillExitFullScreen:]’:
> nsterm.m:6925: warning: ‘EmacsView’ may not respond to
> ‘-windowWillExitFullScreen’
> nsterm.m: In function ‘-[EmacsView windowDidExitFullScreen:]’:
> nsterm.m:6942: warning: ‘EmacsView’ may not respond to ‘-windowDid
> 
> The attached patch eliminate them. Basically, it's declarations of the
> new (and shadowed) functions and the notification name should be a
> NSString (i.e. a @ was missing).

Hmm. I did *not* see those warnings, so I went back to my directory,
removed nsterm.o and used `make V=1` to see if my options were somehow
different. This time I got the same warnings you did. I have no idea why
I didn't see that the first time.

At any rate, I can confirm your patch removes the warnings on 10.6:

builder10-6:src build$ rm nsterm.o
builder10-6:src build$ make nsterm.o V=1
i686-apple-darwin10-gcc-4.2.1 -mmacosx-version-min=10.6  -std=gnu99 -c
-Demacs  -I. -I. -I../lib -I../lib         -I'/usr/include/libxml2'
     -MMD -MF deps/nsterm.d -MP      -g3 -O2   nsterm.m
builder10-6:src build$ rm nsterm.o
builder10-6:src build$ make nsterm.o V=1
i686-apple-darwin10-gcc-4.2.1 -mmacosx-version-min=10.6  -std=gnu99 -c
-Demacs  -I. -I. -I../lib -I../lib         -I'/usr/include/libxml2'
     -MMD -MF deps/nsterm.d -MP      -g3 -O2   nsterm.m
builder10-6:src build$

I did it twice because now I don't really trust it. :-)

-David